### Method

# FwupdPlugin Plugin add_device_gtype

since: 1.6.0

#### Declaration [src]

    void
    fu_plugin_add_device_gtype (
      FuPlugin* self,
      GType device_gtype
    )

#### Description [src]

Adds the device `GType` which is used when creating devices.

If this method is used then `fu_plugin_backend_device_added()` is not called, and instead the object is created in the daemon for the plugin.

Plugins can use this method only in `fu_plugin_init()`

See also: fu_plugin_set_device_gtype_default().

Available since: 1.6.0

#### Parameters

`device_gtype`

  Type: `GType`

  A `GType`, e.g. `FU_TYPE_DEVICE`.